=== app_templates/CMakeLists.txt ===
kdevplatform_add_app_templates(
    cpp/CMake/cmake_plaincpp
    cpp/CMake/cmake_qt6widgetsapp
    cpp/CMake/cmake_kdevplugin
    cpp/CMake/cmake_qt6quick_app
    cpp/meson/meson_plaincpp
    cpp/QMake/qmake_qt5guiapp
    cpp/QMake/qt5-qml2
    c/CMake/cmake_plainc
    c/meson/meson_plainc
    empty
    kdevelop/file_template_template
)
