=== plugins/cmake/tests/manual/relative_paths/out/CMakeLists.txt ===
project (test) 
add_executable(test "../src/code.cpp")
include_directories("../inc")
