=== debian/changelog ===
kdevelop (4:25.04.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Adapt packaging to libraries soname bump from 61 to 62.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 04 May 2025 14:40:46 +0200
