## kdevelop 25.04.3

=== debian/changelog ===
kdevelop (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:42:24 +0100

kdevelop (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:44:30 +0100

kdevelop (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:05:51 +0100

kdevelop (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
    * Rename packages according to the SONAME bumps:
    - kdevelop61-libs -> kdevelop62-libs
  * Bump KDEV_PLUGIN_VERSION to 62, according to upstream.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:48:35 +0100
