=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: kdevelop
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: bash-completion,
+               clang (>= 1:6.0),
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               bash-completion,
-               clang (>= 1:6.0),
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                kdevelop-pg-qt (>= 2.3~),
                libastyle-dev (>= 3.1),
@@ -41,7 +42,7 @@
                libkf6threadweaver-dev (>= 6.0.0~),
                libkf6windowsystem-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
-               libkomparediff2-dev (>= 6.0~),
+               libkomparediff2-dev (>= 4:25.04.3~),
                libksysguard-dev,
                libplasma-dev,
                libsvn-dev,
@@ -56,12 +57,12 @@
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.kdevelop.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdevelop
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdevelop.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdevelop
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdevelop
 
 Package: kdevelop62-libs
 Section: libs
-Architecture: any
+Architecture: amd64 arm64 armhf
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: shared libraries for the KDevelop platform
  This package contains shared libraries needed to run integrated development
@@ -70,7 +71,7 @@
  This package is part of the KDevelop platform.
 
 Package: kdevelop
-Architecture: any
+Architecture: amd64 arm64 armhf
 Depends: kdevelop-data (>= ${source:Version}),
          kdevelop62-libs (= ${binary:Version}),
          ${misc:Depends},
@@ -115,7 +116,7 @@
 
 Package: kdevelop-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64 arm64 armhf
 Depends: kdevelop62-libs (= ${binary:Version}),
          libboost-dev (>= 1.35.0~),
          libkf6config-dev (>= 6.0.0~),
@@ -152,7 +153,7 @@
  This package contains the translations for KDevelop.
 
 Package: plasma-kdevelop
-Architecture: linux-any
+Architecture: amd64 arm64 armhf
 Depends: kdevelop (= ${binary:Version}),
          ${misc:Depends},
          ${qml6:Depends},
