## kdevelop 25.07.80

=== debian/changelog ===
kdevelop (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Rename packages according to the SONAME bumps:
    - kdevelop62-libs -> kdevelop63-libs
  * Bump KDEV_PLUGIN_VERSION to 63, according to upstream.
  * Update install files.


 -- Rik Mills <rikmills@kde.org>  Sun, 13 Jul 2025 11:59:47 +0100
