=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
                libkf6threadweaver-dev (>= 6.0.0~),
                libkf6windowsystem-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
-               libkomparediff2-dev (>= 4:25.04.3~),
+               libkomparediff2-dev (>= 4:25.07.80~),
                libksysguard-dev,
                libplasma-dev,
                libsvn-dev,
@@ -60,7 +60,7 @@
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdevelop
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdevelop
 
-Package: kdevelop62-libs
+Package: kdevelop63-libs
 Section: libs
 Architecture: amd64 arm64 armhf
 Depends: ${misc:Depends}, ${shlibs:Depends},
@@ -73,7 +73,7 @@
 Package: kdevelop
 Architecture: amd64 arm64 armhf
 Depends: kdevelop-data (>= ${source:Version}),
-         kdevelop62-libs (= ${binary:Version}),
+         kdevelop63-libs (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: g++,
@@ -117,7 +117,7 @@
 Package: kdevelop-dev
 Section: libdevel
 Architecture: amd64 arm64 armhf
-Depends: kdevelop62-libs (= ${binary:Version}),
+Depends: kdevelop63-libs (= ${binary:Version}),
          libboost-dev (>= 1.35.0~),
          libkf6config-dev (>= 6.0.0~),
          libkf6guiaddons-dev (>= 6.0.0~),
